package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备基地对象 TmnLand
 * 
 * @author 杨晓辉
 * @date 2023-07-12
 */
public class TmnLand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备基地标识 */
    private String tmnlandId;

    /** 设备标识 */
    @Excel(name = "设备标识")
    private String tmnId;

    /** 基地标识 */
    @Excel(name = "基地标识")
    private String landId;

    /** 设备基地分配时间 */
    @Excel(name = "设备基地分配时间")
    private String tmnlandAssigndate;

    public void setTmnlandId(String tmnlandId)
    {
        this.tmnlandId = tmnlandId;
    }

    public String getTmnlandId()
    {
        return tmnlandId;
    }
    public void setTmnId(String tmnId)
    {
        this.tmnId = tmnId;
    }

    public String getTmnId()
    {
        return tmnId;
    }
    public void setLandId(String landId)
    {
        this.landId = landId;
    }

    public String getLandId()
    {
        return landId;
    }
    public void setTmnlandAssigndate(String tmnlandAssigndate)
    {
        this.tmnlandAssigndate = tmnlandAssigndate;
    }

    public String getTmnlandAssigndate()
    {
        return tmnlandAssigndate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("tmnlandId", getTmnlandId())
            .append("tmnId", getTmnId())
            .append("landId", getLandId())
            .append("tmnlandAssigndate", getTmnlandAssigndate())
            .toString();
    }
}
